Subject: bug#5616: 23.1.92; `delete-frame' deletes the last frame when emacsclient runs

From: "Drew Adams" <[email-masked]>
Date: Sun, 21 Feb 2010 08:00:45 -0800

> > when I run `emacs --daemon -Q' and `emacsclient -nc', then 
> > if I try `M-x delete-frame', emacsclient seems will delete
> > last remaining frame without check or remind.
> >
> > I think it should be mentioned in the manuals, but all I 
> > got said emacs will not to delete the last frame, even you
> > try `M-x delete-frame'.
> >
> > So I think at least there is a doc bug, and manuals should 
> > mention about that.
> 
> Thanks, I have made a note of this in the manual.

You did not mention the doc string, but it also needs to be mentioned there,
IMO.

The doc string mentions the corner condition of not deleting the frame if its
minibuffer is used, but it should also mention the general condition that the
frame is not deleted if it is the last (sole) one, except when using emacsclient
etc.